%global namedreltag .beta2
%global mavenreltag -beta-2
%global namedversion %{version}%{?namedreltag}
%global mavenversion %{version}%{?mavenreltag}
Name:          jboss-ejb3-ext-api
Version:       2.0.0
Release:       %mkrel 0.1%{namedreltag}
Summary:       JBoss EJB 3 Extension API
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/ejb3/
# git clone git://github.com/jbossejb3/jboss-ejb3-ext-api.git
# cd jboss-ejb3-ext-api/ && git archive --format=tar --prefix=jboss-ejb3-ext-api-2.0.0.beta2/ 2.0.0-beta-2 | xz > jboss-ejb3-ext-api-2.0.0.beta2.tar.xz
Source0:       jboss-ejb3-ext-api-%{namedversion}.tar.xz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: jboss-ejb-3.1-api
BuildRequires: jboss-interceptors-1.1-api
BuildRequires: jboss-parent
BuildRequires: jboss-specs-parent

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin

Requires:      jboss-ejb-3.1-api
Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
JBoss EJB 3.0 API for Bean Providers.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jboss
install -pm 644 target/%{name}-%{mavenversion}.jar %{buildroot}%{_javadir}/jboss/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc README.md

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Feb 25 2012 gil <gil> 2.0.0-0.1.beta2.mga2
+ Revision: 214943
- imported package jboss-ejb3-ext-api

